Bug 905515 - Update usinf FedUp not solve bpg-* fonts
Summary: Update usinf FedUp not solve bpg-* fonts
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: bpg-fonts
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-29 14:52 UTC by lev
Modified: 2014-02-05 18:39 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 18:39:45 UTC


Attachments (Terms of Use)
list of packages (225.12 KB, application/x-7z-compressed)
2013-01-30 10:28 UTC, lev
no flags Details

Description lev 2013-01-29 14:52:48 UTC
Description of problem:
After upgrade from F17 to F18 using FedUp problem:

yum check
Zavedené moduly: fastestmirror, langpacks, presto, refresh-packagekit
bpg-algeti-fonts-2.005-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-chveulebrivi-fonts-3.002-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-courier-fonts-4.002-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-courier-s-fonts-4.000-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-elite-fonts-3.000-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-excelsior-fonts-2.025-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-glaho-fonts-9.000-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-ingiri-fonts-4.000-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-nino-medium-cond-fonts-4.005-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-nino-medium-fonts-4.005-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-sans-fonts-1.005-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-sans-medium-fonts-1.005-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-sans-modern-fonts-2.025-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-sans-regular-fonts-1.005-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-serif-fonts-1.005-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
bpg-serif-modern-fonts-2.028-9.fc17.noarch má chybějící requires bpg-fonts-common = ('0', '20090205', '9.fc17')
Chyba: check all


where:
yum list bpg-*
Nainstalované balíčky:
bpg-algeti-fonts.noarch                          2.005-9.fc17                @fedora/17
bpg-chveulebrivi-fonts.noarch                    3.002-9.fc17                @fedora/17
bpg-courier-fonts.noarch                         4.002-9.fc17                @fedora/17
bpg-courier-s-fonts.noarch                       4.000-9.fc17                @fedora/17
bpg-elite-fonts.noarch                           3.000-9.fc17                @fedora/17
bpg-excelsior-fonts.noarch                       2.025-9.fc17                @fedora/17
bpg-fonts-common.noarch                          20120413-1.fc18             @fedora   
bpg-glaho-fonts.noarch                           9.000-9.fc17                @fedora/17
bpg-ingiri-fonts.noarch                          4.000-9.fc17                @fedora/17
bpg-nino-medium-cond-fonts.noarch                4.005-9.fc17                @fedora/17
bpg-nino-medium-fonts.noarch                     4.005-9.fc17                @fedora/17
bpg-sans-fonts.noarch                            1.005-9.fc17                @fedora/17
bpg-sans-medium-fonts.noarch                     1.005-9.fc17                @fedora/17
bpg-sans-modern-fonts.noarch                     2.025-9.fc17                @fedora/17
bpg-sans-regular-fonts.noarch                    1.005-9.fc17                @fedora/17
bpg-serif-fonts.noarch                           1.005-9.fc17                @fedora/17
bpg-serif-modern-fonts.noarch                    2.028-9.fc17                @fedora/17
Dostupné balíčky:
bpg-classic-fonts.noarch                         8.500-1.fc18                fedora    
bpg-dedaena-block-fonts.noarch                   3.005-1.fc18                fedora    
bpg-dejavu-sans-fonts.noarch                     2.28-1.fc18                 fedora    
bpg-excelsior-caps-fonts.noarch                  2.003-1.fc18                fedora    
bpg-excelsior-condenced-fonts.noarch             2.003-1.fc18                fedora    
bpg-gorda-fonts.noarch                           2.003-1.fc18                fedora    
bpg-irubaqidze-fonts.noarch                      1.000-1.fc18                fedora    
bpg-mikhail-stephan-fonts.noarch                 2.500-1.fc18                fedora    
bpg-mrgvlovani-caps-fonts.noarch                 1.002-1.fc18                fedora    
bpg-mrgvlovani-fonts.noarch                      1.002-1.fc18                fedora    
bpg-nateli-caps-fonts.noarch                     2.003-1.fc18                fedora    
bpg-nateli-condenced-fonts.noarch                2.003-1.fc18                fedora    
bpg-nateli-fonts.noarch                          2.003-1.fc18                fedora    
bpg-ucnobi-fonts.noarch                          3.300-1.fc18                fedora    

(Dostupné balíčky == Available packages; Nainstalované balíčky == Installed; chybějící == missing) 

It seems that old fonts aren`t available for F18 more... ? 

My solution: erase old fonts and install new.

Comment 1 Jan Zeleny 2013-01-29 16:27:22 UTC
Does yum update solve the issue? It seems that fedup somehow updated bpg-fonts-common but none of the depending package.

Comment 2 lev 2013-01-29 17:20:33 UTC
No. 
Even yum reinstall not solve problem.
It seems that on fc18 repository aren`t fc17 fonts for example bpg-algeti-fonts.

Comment 3 Jan Zeleny 2013-01-30 08:27:25 UTC
(In reply to comment #2)
> No. 
> Even yum reinstall not solve problem.
> It seems that on fc18 repository aren`t fc17 fonts for example
> bpg-algeti-fonts.

Nope, that's not the case, I checked:

http://ftp.fi.muni.cz/pub/linux/fedora/linux/releases/18/Fedora/x86_64/os/Packages/b/

Note that the problem is probably not in yum itself at this point, it seems like an inconsistent state either of repositories or your local cache. By performing yum update I was hoping to update your local cache and thus solving the issue.

I would try to remove all bpg-* packages, clean yum cache, run yum update and then install them again. Hopefully that will fix the inconsistent state.

Comment 4 Jan Zeleny 2013-01-30 08:36:09 UTC
Sorry, should have explained the reassignment. Tom, do you have any clue what might be going on here? Was there any kind of major update between F17 and F18?

Comment 5 lev 2013-01-30 09:14:25 UTC
> 
> Nope, that's not the case, I checked:
> 
> http://ftp.fi.muni.cz/pub/linux/fedora/linux/releases/18/Fedora/x86_64/os/
> Packages/b/
> 
> Note that the problem is probably not in yum itself at this point, it seems
> like an inconsistent state either of repositories or your local cache. By
> performing yum update I was hoping to update your local cache and thus
> solving the issue.
> 
> I would try to remove all bpg-* packages, clean yum cache, run yum update
> and then install them again. Hopefully that will fix the inconsistent state.

No, after yum clean all problem persist. 
I haven`t problem more, I solved this by this way:
yum remove bpg-*
yum install bpg-*

you can see that old fonts on fc17 don`t match with fonts on fc18 by name. 
I think that problem is in upgrade process - FedUp.

Comment 6 Jan Zeleny 2013-01-30 09:27:57 UTC
Yes, it seems that way. However the root cause might be different, judging from the fact that your list of available packages was incomplete.

Comment 7 lev 2013-01-30 10:27:10 UTC
Hmm, 
I see now same problem on this packages:
Django.noarch      1.4.3-1.fc17                  @updates/17

-> can be removed

May be:
ar9170-firmware.noarch            2009.05.28-4.fc17             @anaconda-0/17
agg.x86_64                               2.5-13.fc17                   @fedora/17
crash.x86_64                        6.1.0-1.fc17                  @updates/17

I`m adding my full list, it can help.

Comment 8 lev 2013-01-30 10:28:31 UTC
Created attachment 690266 [details]
list of packages

Comment 9 Nicolas Mailhot 2013-01-30 11:03:19 UTC
I think the problem is just that bpg fonts were updated without changing their bpg-common dep version, they still require the old bpg-common but it is not present in recent repos anymore

Comment 10 Tom "spot" Callaway 2013-01-31 08:46:44 UTC
The problem is a little weirder than that, but I'll fix it. :)

Comment 11 Tom "spot" Callaway 2013-01-31 09:12:41 UTC
Okay. I'm not sure why this is failing at all. Looking at the bpg-fonts build:

http://koji.fedoraproject.org/koji/buildinfo?buildID=354388

All of the font subpackages have:

bpg-fonts-common = 20120413-1.fc18

And bpg-fonts-common-20120413-1.fc18.noarch.rpm

Provides: bpg-fonts-common = 20120413-1.fc18

I really don't know what is failing here, I'm wondering if this isn't a mirror specific issue.

Comment 12 Jan Zeleny 2013-01-31 12:43:00 UTC
One of my thoughts was that it might also be something fedup-specific but I have no idea how fedup does system upgrades.

Comment 13 Nicolas Mailhot 2013-01-31 14:36:49 UTC
(In reply to comment #12)
> One of my thoughts was that it might also be something fedup-specific but I
> have no idea how fedup does system upgrades.

I've seen the same in yum in rawhide and it was on my pile of things to investigate when I had more time

(that is, before I installed the rpmdb-nuking rpm)

Comment 14 Fedora End Of Life 2013-12-21 10:57:56 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2014-02-05 18:39:45 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.